QGIS Application - Bug report #12957
Feature count doesn't show correct values for PostGIS layers after deletinge features
2015-06-13 01:53 PM - Paul Kanelli

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21036
Description

When creating a PostGIS table (point geometry) in the "DB Manager" and adding three geometries with the QGIS "Add Feature" tool
"Count Feature" is working properly. But after deleting all geometries and saving the edit "Count Feature" says there are six geometries.

Associated revisions

Revision 37ed8390 - 2015-06-14 11:01 AM - Jiirgen Fischer

postgres provider: fix feature count on delete (fixes #12957)

Revision 361857b0 - 2015-06-29 10:33 PM - Jiirgen Fischer

postgres provider: fix feature count on delete (fixes #12957)

(cherry picked from commit 37ed83905f3b81ecd778c5abb1703805ce34666b)

History

#1 - 2015-06-14 01:11 AM - Giovanni Manghi

- OS version deleted (15.04)

- Operating System deleted (Ubuntu )

- Subject changed from Feature count doesn't show correct values for PostGIS layers to Feature count doesn't show correct values for PostGIS layers

after deletinge features

Confirmed on postgis (not on shapefiles): after clicking "save" the number of features deleted is added to the feature count and not removed.

#2 - 2015-06-14 02:02 AM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"37ed83905f3b81ecd778c5abb1703805ce34666b".
